CVE-2018-7550

The load_multiboot function in hw/i386/multiboot.c in Quick Emulator (aka QEMU) allows local guest OS users to execute arbitrary code on the QEMU host via a mh_load_end_addr value greater than mh_bss_end_addr, which triggers an out-of-bounds read or write memory access.

Published : 2018-03-01 17:29 Updated : 2019-03-25 19:19

4.6
CVSS Score More info
Score 4.6 / 10
4.6
Vendor Product Version URI
Redhat Virtualization 4.0 cpe:/a:redhat:virtualization:4.0
Canonical Ubuntu Linux 14.04 cpe:/o:canonical:ubuntu_linux:14.04::~~lts~~~
Canonical Ubuntu Linux 16.04 cpe:/o:canonical:ubuntu_linux:16.04::~~lts~~~
Canonical Ubuntu Linux 17.10 cpe:/o:canonical:ubuntu_linux:17.10
Canonical Ubuntu Linux 18.04 cpe:/o:canonical:ubuntu_linux:18.04::~~lts~~~
Debian Debian Linux 7.0 cpe:/o:debian:debian_linux:7.0
Debian Debian Linux 8.0 cpe:/o:debian:debian_linux:8.0
Debian Debian Linux 9.0 cpe:/o:debian:debian_linux:9.0
Redhat Enterprise Linux Desktop 7.0 cpe:/o:redhat:enterprise_linux_desktop:7.0
Redhat Enterprise Linux Server 7.0 cpe:/o:redhat:enterprise_linux_server:7.0
Redhat Enterprise Linux Server Aus 7.6 cpe:/o:redhat:enterprise_linux_server_aus:7.6
Redhat Enterprise Linux Server Eus 7.5 cpe:/o:redhat:enterprise_linux_server_eus:7.5
Redhat Enterprise Linux Server Eus 7.6 cpe:/o:redhat:enterprise_linux_server_eus:7.6
Redhat Enterprise Linux Server Tus 7.6 cpe:/o:redhat:enterprise_linux_server_tus:7.6
Redhat Enterprise Linux Workstation 7.0 cpe:/o:redhat:enterprise_linux_workstation:7.0
Qemu Qemu - cpe:/a:qemu:qemu:-
  1. Canonical (1) Search CVE
    1. Ubuntu Linux (4) Search CVE
      1. 14.04
      2. 16.04
      3. 17.10
      4. 18.04
  2. Redhat (7) Search CVE
    1. Enterprise Linux Server Eus (2) Search CVE
      1. 7.5
      2. 7.6
    2. Enterprise Linux Server Aus (1) Search CVE
      1. 7.6
    3. Enterprise Linux Server Tus (1) Search CVE
      1. 7.6
    4. Enterprise Linux Desktop (1) Search CVE
      1. 7.0
    5. Virtualization (1) Search CVE
      1. 4.0
    6. Enterprise Linux Workstation (1) Search CVE
      1. 7.0
    7. Enterprise Linux Server (1) Search CVE
      1. 7.0
  3. Qemu (1) Search CVE
    1. Qemu (1) Search CVE
      1. -
  4. Debian (1) Search CVE
    1. Debian Linux (3) Search CVE
      1. 7.0
      2. 8.0
      3. 9.0

CWE

ID Name Description Links
CWE-125 Out-of-bounds Read The software reads data past the end, or before the beginning, of the intended buffer. CVE
CWE-787 Out-of-bounds Write The software writes data past the end, or before the beginning, of the intended buffer. CVE

History of changes

Date Event
2019-03-25 19:19
2018-09-07 10:29
2018-08-17 10:29
2018-06-01 01:29
2018-05-18 01:29
2018-05-12 01:29
2018-04-19 01:29
2018-03-22 16:50
2018-03-01 17:29

New CVE